# ExtensionMetadata (Crawler-commons 1.3 API)

Package crawlercommons.sitemaps.extension

## Class ExtensionMetadata

- java.lang.Object
- - crawlercommons.sitemaps.extension.ExtensionMetadata

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ImageAttributes`, `LinkAttributes`, `MobileAttributes`, `NewsAttributes`, `VideoAttributes`

    public abstract class ExtensionMetadata
    extends Object
    implements Serializable

Container for attributes of a `SiteMapURL` defined by a sitemap extension.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ExtensionMetadata()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract Map<String,​String[]>` `asMap()`
`abstract boolean` `equals​(Object other)`
`boolean` `isValid()`
`protected static boolean` `urlEquals​(URL a, URL b)` Compare URLs by their string representation because calling `URL.equals(Object)` may trigger an unwanted and potentially slow DNS lookup to resolve the host part

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionMetadata

    public ExtensionMetadata()

### Method Detail

#### equals

    public abstract boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### asMap

    public abstract Map<String,​String[]> asMap()

#### isValid

    public boolean isValid()

#### urlEquals

    protected static boolean urlEquals​(URL a,
                                       URL b)

Compare URLs by their string representation because calling `URL.equals(Object)` may trigger an unwanted and potentially slow DNS lookup to resolve the host part